Get hosted log shipping
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs \
--header 'Authorization: Bearer <token>'{
"agent_supports_switch": true,
"available": true,
"changed_at": "2026-10-05T20:00:00Z",
"cluster_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_enabled": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Clusters
Get hosted log shipping
Whether this cluster’s container log lines are sent to Ankra’s hosted log store (ankra cluster logs-ship status), whether that store is live on this platform (available), and whether the cluster’s agent can obey the switch (agent_supports_switch; false means the agent needs an upgrade or has hosted log shipping turned off in its own Helm values). Hosted log shipping is off for every cluster until a member turns it on. Readable by any member of the organisation. Bearer-PAT twin of the browser route of the same name under /org.
GET
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
hosted-logs
Get hosted log shipping
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/hosted-logs \
--header 'Authorization: Bearer <token>'{
"agent_supports_switch": true,
"available": true,
"changed_at": "2026-10-05T20:00:00Z",
"cluster_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_enabled": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Response
Successful response
A cluster's hosted log shipping switch.